## komodo 0.0.0+p24.04+vunstable+git20251009.0517

=== debian/changelog ===
komodo (0.0.0+p24.04+vunstable+git20251009.0517-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Thu, 09 Oct 2025 05:17:53 +0000

komodo (0.0.0-0neon) noble; urgency=medium

  * Initial packaging

 -- Neon CI <neon@kde.org>  Mon, 7 Jul 2025 17:10:07 +1000

## komodo 0.0.0+p24.04+vunstable+git20251015.1127

=== debian/changelog ===
komodo (0.0.0+p24.04+vunstable+git20251015.1127-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Wed, 15 Oct 2025 11:27:24 +0000

## komodo 0.0.0+p24.04+vunstable+git20251125.1313

=== debian/changelog ===
komodo (0.0.0+p24.04+vunstable+git20251125.1313-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Tue, 25 Nov 2025 13:13:01 +0000

## komodo 0.0.0+p24.04+vunstable+git20251202.0950

=== debian/changelog ===
komodo (0.0.0+p24.04+vunstable+git20251202.0950-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Tue, 02 Dec 2025 09:50:28 +0000

## komodo 0.0.0+p24.04+vunstable+git20260129.0339

=== debian/changelog ===
komodo (0.0.0+p24.04+vunstable+git20260129.0339-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Thu, 29 Jan 2026 03:39:13 +0000

## komodo 0.0.0+p24.04+vunstable+git20260201.0650

=== src/models/CMakeLists.txt ===
# SPDX-FileCopyrightText: 2025 Akseli Lahtinen <akselmo@akselmo.dev>
# SPDX-FileCopyrightText: 2025 Martin Sh <hemisputnik@proton.me>
# SPDX-License-Identifier: BSD-2-Clause

add_library(${CMAKE_PROJECT_NAME}_models SHARED)

ecm_add_qml_module(${CMAKE_PROJECT_NAME}_models
    URI
    org.kde.${CMAKE_PROJECT_NAME}.models
    GENERATE_PLUGIN_SOURCE
)

target_sources(${CMAKE_PROJECT_NAME}_models
    PRIVATE
    Todo.cpp
    TodoModel.cpp
    Todo.h
    TodoModel.h
)

target_link_libraries(${CMAKE_PROJECT_NAME}_models
    PUBLIC
    Qt6::Core
    Qt6::Gui
    Qt6::Qml
    KF6::GuiAddons
    KF6::ColorScheme
    KF6::CoreAddons
)

install(TARGETS ${CMAKE_PROJECT_NAME}_models ${KDE_INSTALL_TARGETS_DEFAULT_ARGS})

=== src/ui/CMakeLists.txt ===
# SPDX-FileCopyrightText: 2025 Akseli Lahtinen <akselmo@akselmo.dev>
# SPDX-FileCopyrightText: 2025 Martin Sh <hemisputnik@proton.me>
# SPDX-License-Identifier: BSD-2-Clause

add_library(${CMAKE_PROJECT_NAME}_ui SHARED)

ecm_add_qml_module(${CMAKE_PROJECT_NAME}_ui
    URI
    org.kde.${CMAKE_PROJECT_NAME}.ui
    GENERATE_PLUGIN_SOURCE
)

ecm_target_qml_sources(${CMAKE_PROJECT_NAME}_ui
    SOURCES
    TodoDelegate.qml
)

install(TARGETS ${CMAKE_PROJECT_NAME}_ui ${KDE_INSTALL_TARGETS_DEFAULT_ARGS})

=== debian/changelog ===
komodo (0.0.0+p24.04+vunstable+git20260201.0650-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sun, 01 Feb 2026 06:50:54 +0000

=== debian/control ===
Source: komodo
Section: kde
Priority: optional
Build-Depends: cmake,
               debhelper-compat (= 13),
               kf6-extra-cmake-modules,
               kf6-kcolorscheme-dev,
               kf6-kconfig-dev,
               kf6-kcoreaddons-dev,
               kf6-kcrash-dev,
               kf6-kdbusaddons-dev,
               kf6-kdoctools-dev,
               kf6-kguiaddons-dev,
               kf6-ki18n-dev,
               kf6-kiconthemes-dev,
               kf6-kirigami-addons-dev,
               kf6-kirigami-dev,
               kf6-kitemmodels-dev,
               kf6-kwindowsystem-dev,
               kf6-qqc2-desktop-style-dev,
               pkg-kde-tools-neon,
               qt6-base-dev,
               reuse,
               spdx-licenses
Standards-Version: 4.6.2
Homepage: http://www.kde.org/
Vcs-Git: https://invent.kde.org/neon/neon-packaging/komodo.git
Vcs-Browser: https://invent.kde.org/neon/neon-packaging/komodo
Maintainer: Neon CI <neon@kde.org>

Package: komodo
Architecture: any
Section: devel
Depends: kf6-kirigami, kf6-kirigami-addons, ${misc:Depends}, ${shlibs:Depends}
Description: KDE app to manage todo.txt files
 Kirigami GUI frontend for todo.txt files
